#
# spec file for package gap-autodoc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-autodoc
Summary:        GAP: Tools for generating automatic GAPDoc documentations
License:        GPL-2.0
Group:          Productivity/Scientific/Math
Version:        2017.09.08
Release:        lp152.3.2
Url:            http://gap-packages.github.io/AutoDoc/

#Git-Clone:	git://github.com/sebasguts/AutoDoc
#Git-Web:	https://github.com/sebasguts/AutoDoc
Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/AutoDoc-%version.tar.bz2
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       gap-core >= 4.5
Requires:       gap-gapdoc >= 1.5

%description
This package is supposed to help creating documentations for GAP
packages. It makes it possible to create documentation without
writing .xml. It is not in any way a substitution for GAPDoc, but
needs it to compile its output.

%prep
%setup -qn AutoDoc-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri Dec 22 2017 jengelh@inai.de
- Update to new upstream release 2017.09.08
  * Fix spellos in documentation.
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 2016.12.04
  * Revise and officially document the `entities` option for
    AutoDoc()
  * Better error message when .six file is not available
* Sun Mar 27 2016 jengelh@inai.de
- Update to new upstream release 2016.03.08
  * Fix "empty index" workaround
* Fri Mar 11 2016 jengelh@inai.de
- Update to new upstream release 2016.02.16
  * The AutoDoc() function now accepts IsDirectory() objects as first
  argument, and you can omit the first argument (it then defaults to
  the current directory).
* Mon Dec  7 2015 jengelh@inai.de
- Update to new upstream release 2015.09.30
  * No user changelog was provided
* Tue Aug  4 2015 jengelh@inai.de
- Update to new upstream release 2015.04.29
  * No user changelog was provided
* Fri Dec  5 2014 jengelh@inai.de
- Update to new upstream release 2014.08.21
  * No user changelog was provided
* Wed Jun 18 2014 jengelh@inai.de
- Update to new upstream release 2014.03.27
  * No user changelog was provided
* Tue Feb  4 2014 jengelh@inai.de
- Update to new upstream release 2013.09.20
  * No user changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split autodoc (version 2013.01.16) off the gap RPM package
